ChangeSet 1.1267.20.5, 2004/01/16 15:23:38-08:00, drb@med.co.nz

[PATCH] USB Storage: patch to unusual_devs.h for Pentax Optio 330GS camera

I was unable to get my Pentax Optio 330GSrecognised
by the 2.6.0 kernel until I applied the patch below that I found
posted some months ago on the German Debian mailing list.

I have attributred it to the original poster.


 drivers/usb/storage/unusual_devs.h |    7 +++++++
 1 files changed, 7 insertions(+)


diff -Nru a/drivers/usb/storage/unusual_devs.h b/drivers/usb/storage/unusual_devs.h
--- a/drivers/usb/storage/unusual_devs.h	Wed Jan 28 13:36:55 2004
+++ b/drivers/usb/storage/unusual_devs.h	Wed Jan 28 13:36:55 2004
@@ -671,6 +671,13 @@
                 US_SC_DEVICE, US_PR_DEVICE, NULL,
                 US_FL_FIX_INQUIRY ),
 
+/* This entry from <matthias@ma-c.de> in the Debian mailing list */
+UNUSUAL_DEV( 0x0a17, 0x0006, 0x0000, 0xffff,
+		"Pentax",
+		"Optio 330GS",
+		US_SC_8070, US_PR_CB, NULL,
+		US_FL_MODE_XLATE | US_FL_FIX_INQUIRY ),
+
 /* Submitted by Per Winkvist <per.winkvist@uk.com> */
 UNUSUAL_DEV( 0x0a17, 0x006, 0x1000, 0x9009,
                 "Pentax",
